XmLGridXYToRowColumn(3X)

NAME
XmLGridXYToRowColumn - locate the cell at a given position

SYNTAX
int XmLGridXYToRowColumn(widget, x, y, rowType, row, columnType, column)
Widget widget;
int x;
int y;
unsigned char *rowType;
int *row;
unsigned char *columnType;
int *column;

ARGUMENTS

widget
    Grid widget ID

x   x-coordinate relative to Grid's top left

y   y-coordinate relative to Grid's top left

rowType
    type of row

row position of row

columnType
    type of column

column
    position of column

DESCRIPTION
Returns the position of the cell containing the x and y coordinates specified. Upon success, a value of 0 will be returned and rowType and row will be set the type of row and row position, respectively, and columnType and column will be set to the type of column and column position, respectively.

RETURN VALUE
If no cell exists at the location specified, a value of -1 will be returned. Upon success, a value of 0 will be returned.

SEE ALSO
XmLGrid(3X)